// clock_main.cpp
// Glenn G. Chappell
// 12 Sep 2013
//
// For CS 202 Fall 2013
// Another main program using class Clock

#include "clock.h"  // For class Clock
#include <iostream>
using std::cout;
using std::endl;
using std::cin;
#include <fstream>
using std::ofstream;
#include <cstdlib>
using std::exit;


// Main program
// Write a Clock object to a file
int main()
{
    cout << "Attempting to open file \"abc.txt\"" << endl;
    ofstream fileout("abc.txt");
    if (!fileout)
    {
        cout << "Could not open file" << endl;
        exit(1);  // End program with error code 1 (bad)
    }
    cout << "File successfully opened" << endl;

    cout << "Printing a Clock object (11 a.m.) to the file" << endl;
    Clock c(11);
    c.print(fileout);
    fileout << endl;

    cout << "Done - see file \"abc.txt\" for the results" << endl;

    cout << endl;
    cout << "Press ENTER to quit ";
    while (cin.get() != '\n') ;

    return 0;
}

